﻿body {
    padding-top: 50px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 30px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}
*/
textarea {
    min-width: 90%;
    /*min-width: 700px;*/
    height: 150px;
}

/*el color del iadep */
.filaSeleccionada {
    background-color: #F2973B !important;
}


input[type="text"], input[type="number"], select, textarea {
    min-width: 75%;
}

textarea {
    min-height: 200px;
}

.error-det {
    font-weight: 700;
    font-size: 20px;
}

.text-danger {
    display: block;
    font-weight: 700;
    font-size: 20px;
}

.campo_requerido {
    color: crimson;
}

select {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
    width: 100%;
}

.dataTables_length select {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
    min-width: 250px;
    width: 100px;
}

.tabla_container label {
    font-weight: normal;
}

input[type="text"].select2-input {
    max-width: 3000px;
}

input.select2-search__field {
    max-width: 3000px;
}

.select2-container.form-control {
    padding: 0px;
    height: auto;
}


.dataTables_wrapper select {
    border: initial;
    padding: initial;
    font-size: initial;
    color: initial;
    min-width: initial;
    width: auto;
}

.dataTables_wrapper button {
    height: 30px;
    line-height: initial;
}

.dataTables_wrapper .dataTables_info {
    clear: initial;
    float: left;
    padding-top: 3px;
    padding-left: 20px;
}

.dataTables_wrapper .dataTables_filter input {
    background-color: white;
}

.dataTables_wrapper .dataTables_length select {
    background-color: white;
}
div.dataTables_processing {
    position: absolute; /* Para que se superponga */
    top: 50px !important; /* Ajusta según la altura del encabezado */
    left: 50%;
    transform: translateX(-50%);
    background-color: rgba(255, 255, 255, 0.9); /* Fondo blanco semitransparente */
    padding: 10px 20px;
    border-radius: 5px;
    font-size: 16px;
    font-weight: bold;
    z-index: 1000; /* Mayor que el header para que se superponga */
}
.pull-right {
    float: right !important;
}

input[type="text"], input[type="number"], select, textarea {
    min-width: 75%;
}

textarea {
    min-height: 200px;
}

.error-det {
    font-weight: 700;
    font-size: 20px;
}

.text-danger {
    display: block;
    font-weight: 700;
    font-size: 20px;
}

.campo_requerido {
    color: crimson;
}

select {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
    width: 100%;
}

.dataTables_length select {
    border: 1px solid #ccc;
    padding: 2px;
    font-size: 1.2em;
    color: #444;
    min-width: 250px;
    width: 100px;
}

.tabla_container label {
    font-weight: normal;
}

input[type="text"].select2-input {
    max-width: 3000px;
}

input.select2-search__field {
    max-width: 3000px;
}

.navbar-nav > li > a {
    font-weight: bolder;
    font-size: large;
    padding: 15px 5px 15px 5px;
}

.display-label, .editor-label {
    font-size: medium;
    margin: 1em 0 0 0;
    font-weight: bold;
}

.banner {
    background: rgba(200,200,200,0.8);
    margin: 0;
    padding: 0;
}